Submit Manufacturer Settings
curl --request POST \
--url https://api.nox.energy/v1/manufacturer/settings \
--header 'Content-Type: application/json' \
--header 'x-api-key: <api-key>' \
--data '
{
"device_id": "123",
"dhw": {
"temperature_upper_bound": 50,
"temperature_lower_bound": 40
},
"optimization_settings": {
"pv_self_consumption": true,
"dynamic_tariff": true,
"flex_trading": false
},
"location": {
"country": "BE",
"postal_code": "123456"
}
}
'import requests
url = "https://api.nox.energy/v1/manufacturer/settings"
payload = {
"device_id": "123",
"dhw": {
"temperature_upper_bound": 50,
"temperature_lower_bound": 40
},
"optimization_settings": {
"pv_self_consumption": True,
"dynamic_tariff": True,
"flex_trading": False
},
"location": {
"country": "BE",
"postal_code": "123456"
}
}
headers = {
"x-api-key": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'x-api-key': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({
device_id: '123',
dhw: {temperature_upper_bound: 50, temperature_lower_bound: 40},
optimization_settings: {pv_self_consumption: true, dynamic_tariff: true, flex_trading: false},
location: {country: 'BE', postal_code: '123456'}
})
};
fetch('https://api.nox.energy/v1/manufacturer/settings', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"status": "success",
"message": "Settings updated successfully.",
"meta": {
"manufacturer": "Manufacturer A"
}
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}Manufacturer Control
Submit Manufacturer Settings
[DEPRECATING Moving to user management -> PATCH /1/devices/settings] Update on a user/device level the manufacturer settings.
You can change the following settings:
-
The lower and upper comfort temperature bounds for domestic hot water heating in degrees celcius.
-
The optimization settings.
-
The country code and the postal code
POST
/
v1
/
manufacturer
/
settings
Submit Manufacturer Settings
Authorizations
API Key authentication. Enter your API key in the format: YOUR_API_KEY
Body
application/json
The body is of type Request Body · object.
Response
Successful response
The response is of type Response Submit Manufacturer Settings V1 Manufacturer Settings Post · object.
⌘I